package com.kgraph.graph.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.kgraph.common.annotation.Excel;
import com.kgraph.common.core.domain.BaseEntity;

/**
 * 处理文件管理对象 biz_processed_file
 * 
 * @author Allen
 * @date 2023-10-16
 */
public class ProcessedFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 源文件id */
    @Excel(name = "源文件id")
    private Long sourceFileId;

    /** 处理文件名称 */
    @Excel(name = "处理文件名称")
    private String processedFileName;

    /** 文件编号 */
    @Excel(name = "文件编号")
    private String num;

    /** 处理文件类型 */
    @Excel(name = "处理文件类型")
    private String processedFileType;

    /** 处理文件路径 */
    @Excel(name = "处理文件路径")
    private String processedFilePath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSourceFileId(Long sourceFileId) 
    {
        this.sourceFileId = sourceFileId;
    }

    public Long getSourceFileId() 
    {
        return sourceFileId;
    }
    public void setProcessedFileName(String processedFileName) 
    {
        this.processedFileName = processedFileName;
    }

    public String getProcessedFileName() 
    {
        return processedFileName;
    }
    public void setNum(String num) 
    {
        this.num = num;
    }

    public String getNum() 
    {
        return num;
    }
    public void setProcessedFileType(String processedFileType) 
    {
        this.processedFileType = processedFileType;
    }

    public String getProcessedFileType() 
    {
        return processedFileType;
    }
    public void setProcessedFilePath(String processedFilePath) 
    {
        this.processedFilePath = processedFilePath;
    }

    public String getProcessedFilePath() 
    {
        return processedFilePath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sourceFileId", getSourceFileId())
            .append("processedFileName", getProcessedFileName())
            .append("num", getNum())
            .append("processedFileType", getProcessedFileType())
            .append("processedFilePath", getProcessedFilePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
